Loading...
Searching...
No Matches
mongocxx::v1::indexes::list_options Class Reference

`#include <mongocxx/v1/indexes.hpp>`

## Description

Options for mongocxx::v1::indexes::list.

Supported fields include:

- batch_size ("batchSize")
- comment ("maxTimeMS")

## Public Member Functions

| list_options ()
| Default initialization.
| list_options (list_options &&other) noexcept
| Move constructor.
| list_options (list_options const &other)
| Copy construction.
| ~list_options ()
| Destroy this object.
bsoncxx::v1::stdx::optional< std::int32_t > | batch_size () const
| Return the current "batchSize" field.
list_options & | batch_size (std::int32_t v)
| Set the "batchSize" field.
bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > | comment () const
| Return the current "comment" field.
list_options & | comment (bsoncxx::v1::types::value v)
| Set the "comment" field.
list_options & | operator= (list_options &&other) noexcept
| Move assignment.
list_options & | operator= (list_options const &other)
| Copy assignment.

## Constructor & Destructor Documentation

## ~list_options()

mongocxx::v1::indexes::list_options::~list_options | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## list_options() [1/3]

mongocxx::v1::indexes::list_options::list_options | ( | list_options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## list_options() [2/3]

mongocxx::v1::indexes::list_options::list_options | ( | list_options const & | other | ) |

Copy construction.

## list_options() [3/3]

mongocxx::v1::indexes::list_options::list_options | ( |  | ) |

Default initialization.

Postconditions:
  - All supported fields are "unset" or zero-initialized.

## Member Function Documentation

## batch_size() [1/2]

bsoncxx::v1::stdx::optional< std::int32_t > mongocxx::v1::indexes::list_options::batch_size | ( |  | ) | const

Return the current "batchSize" field.

## batch_size() [2/2]

list_options & mongocxx::v1::indexes::list_options::batch_size | ( | std::int32_t | v | ) |

Set the "batchSize" field.

## comment() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > mongocxx::v1::indexes::list_options::comment | ( |  | ) | const

Return the current "comment" field.

## comment() [2/2]

list_options & mongocxx::v1::indexes::list_options::comment | ( | bsoncxx::v1::types::value | v | ) |

Set the "comment" field.

## operator=() [1/2]

list_options & mongocxx::v1::indexes::list_options::operator= | ( | list_options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

list_options & mongocxx::v1::indexes::list_options::operator= | ( | list_options const & | other | ) |

Copy assignment.

The documentation for this class was generated from the following file:

- mongocxx/v1/indexes.hpp